| Home | Libraries | People | FAQ | More

## Macro BOOST_DLL_SECTION

BOOST_DLL_SECTION — Macro that puts symbol to a specific section. On MacOS all the sections are put into "__DATA" segment.

## Synopsis

    // In header: <boost/dll/alias.hpp>

    BOOST_DLL_SECTION(SectionName, Permissions)

## Description

Parameters:

`Permissions` | Can be "read" or "write" (without quotes!).
`SectionName` | Name of the section. Must be a valid C identifier without quotes not longer than 8 bytes.